from django.contrib import admin
from django.utils.translation import ugettext as _
from solo.admin import SingletonModelAdmin
from .models import SiteConfiguration


class SiteConfigurationAdmin(SingletonModelAdmin):
    suit_form_tabs = (
        ('site', _('Site')),
        ('ga', _('Google Analytics')),
        ('social', _('Social')),
        ('blog', _('Blog')),
        ('projects', _('Projects')),
    )

    fieldsets = [
        (None, {
            'classes': ('suit-tab suit-tab-site',),
            'fields': ('base_url', )
        }),
        (None, {
            'classes': ('suit-tab suit-tab-ga',),
            'fields': ('google_analytics', 'google_analytics_domain')
        }),
        (None, {
            'classes': ('suit-tab suit-tab-social',),
            'fields': ('enable_comments', 'disqus_shortname',
                       'show_share_buttons', 'twitter_username', )
        }),
        ('Blog', {
            'classes': ('suit-tab suit-tab-blog',),
            'fields': ('readmore_tag', 'entries_per_page', )
        }),
        ('RSS', {
            'classes': ('suit-tab suit-tab-blog',),
            'fields': ('rss_items', 'rss_blog_title', 'rss_blog_description')
        }),
        ('Projects', {
            'classes': ('suit-tab suit-tab-projects', ),
            'fields': ('show_projects', ),
        }),
    ]

admin.site.register(SiteConfiguration, SiteConfigurationAdmin)
