from django.db import models
from solo.models import SingletonModel


class SiteConfiguration(SingletonModel):
    # Site
    base_url = models.CharField(max_length=256, null=True, blank=True)

    # Google Analytics
    google_analytics = models.CharField(max_length=128, null=True, blank=True)
    google_analytics_domain = models.CharField(max_length=128, null=True,
                                               blank=True)

    # Social
    enable_comments = models.BooleanField(default=True)
    disqus_shortname = models.CharField(max_length=128, null=True, blank=True)
    show_share_buttons = models.BooleanField(default=True)
    twitter_username = models.CharField(max_length=128, null=True, blank=True)

    # Blog
    readmore_tag = models.CharField(max_length=128, default='<!--readmore-->')
    entries_per_page = models.IntegerField(default=4)

    # RSS
    rss_items = models.IntegerField(default=10)
    rss_blog_title = models.CharField(max_length=128, null=True, blank=True)
    rss_blog_description = models.CharField(max_length=256, null=True,
                                            blank=True)

    # Projects
    show_projects = models.BooleanField(default=False)

    def __unicode__(self):
        return u'Site configuration'

    class Meta:
        verbose_name = "Site Configuration"
        verbose_name_plural = "Site Configuration"
