# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import fmartingrcom.apps.projects.models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Group',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(max_length=128)),
                ('slug', models.SlugField(max_length=128)),
                ('order', models.IntegerField(default=1)),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('title', models.CharField(max_length=128)),
                ('slug', models.SlugField(max_length=128)),
                ('date', models.DateTimeField()),
                ('company', models.CharField(max_length=128, null=True, blank=True)),
                ('role', models.CharField(max_length=128)),
                ('description', models.TextField()),
                ('visible', models.BooleanField(default=True)),
                ('stack', models.CharField(default=None, max_length=256, null=True, blank=True)),
                ('url', models.CharField(default=None, max_length=256, null=True, blank=True)),
                ('group', models.ForeignKey(related_name='projects', to='projects.Group')),
            ],
            options={
                'ordering': ['-date'],
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='ProjectImage',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('image', models.ImageField(upload_to=fmartingrcom.apps.projects.models.project_image_upload_to)),
                ('project', models.ForeignKey(related_name='images', to='projects.Project')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
    ]
