# -*- coding: utf-8 -*-
from django.shortcuts import render
from fmartingrcom.apps._core.views import View
from fmartingrcom.apps.config.models import SiteConfiguration
from . import models

config = SiteConfiguration.objects.get()


class ListView(View):
    section = 'projects'
    template = 'projects/list.jinja'

    def get(self, request, page_number=1):

        data = {
            'section': self.section,
            'groups': models.Group.objects.all().order_by('order'),
        }

        return render(request, self.template, data)
