from django.conf.urls import include, url
from django.contrib import admin

from .apps.homepage.sitemap import HomeSitemap
from .apps.blog.sitemap import BlogSitemap


# Sitemap
sitemaps = {
    'home': HomeSitemap,
    'blog': BlogSitemap,
}

admin.autodiscover()

urlpatterns = [
    #(r'^ckeditor/', include('ckeditor.urls')),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^blog/', include('fmartingrcom.apps.blog.urls', namespace='blog')),
    url(r'^portfolio/',
        include('fmartingrcom.apps.projects.urls', namespace='projects')),
    url(r'^', include('fmartingrcom.apps.homepage.urls', namespace='home')),
]


from django.conf import settings
from django.conf.urls.static import static

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)
